summaryrefslogtreecommitdiffstats
path: root/source/n/samba
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-02-06 22:44:32 +0000
committer Eric Hameleers <alien@slackware.com>2019-02-07 08:59:47 +0100
commitf33950cf4b295a6cae71dc336544d9810fcae87a (patch)
tree7a8884d8874e135c4e96c5d906bd1405e476c391 /source/n/samba
parent05538a2b6dae06b52a4533f94999286b4c89a916 (diff)
downloadcurrent-f33950cf4b295a6cae71dc336544d9810fcae87a.tar.gz
current-f33950cf4b295a6cae71dc336544d9810fcae87a.tar.xz
Wed Feb 6 22:44:32 UTC 201920190206224432
a/hwdata-0.320-noarch-1.txz: Upgraded. a/kernel-generic-4.19.20-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.20-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.20-x86_64-1.txz: Upgraded. a/mcelog-162-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.20-x86-1.txz: Upgraded. d/opencl-headers-2.2-noarch-2.txz: Rebuilt. Don't trigger "#pragma message" in cl_version.h when falling back on a default version of OpenCL to target. Applications such as ffmpeg detect this as an error and fail to compile. k/kernel-source-4.19.20-noarch-1.txz: Upgraded. l/ffmpeg-3.4.5-x86_64-2.txz: Rebuilt. Recompiled against libvpx-1.8.0. Reenabled libsmbclient support. l/gst-plugins-good-1.14.4-x86_64-2.txz: Rebuilt. Recompiled against libvpx-1.8.0. l/libvpx-1.8.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. n/curl-7.64.0-x86_64-1.txz: Upgraded. This release fixes the following security issues: NTLM type-2 out-of-bounds buffer read. NTLMv2 type-3 header stack buffer overflow. SMTP end-of-response out-of-bounds read. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16890 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3822 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3823 (* Security fix *) n/samba-4.9.4-x86_64-2.txz: Rebuilt. Added time.h to libsmbclient.h to fix ffmpeg compatibility. Thanks to USUARIONUEVO. xap/xine-lib-1.2.9-x86_64-4.txz: Rebuilt. Recompiled against libvpx-1.8.0. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/n/samba')
-rwxr-xr-xsource/n/samba/samba.SlackBuild5
-rw-r--r--source/n/samba/samba.libsmbclient.h.ffmpeg.compat.diff10
2 files changed, 14 insertions, 1 deletions
diff --git a/source/n/samba/samba.SlackBuild b/source/n/samba/samba.SlackBuild
index d6eb55579..034f7764e 100755
--- a/source/n/samba/samba.SlackBuild
+++ b/source/n/samba/samba.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=samba
VERSION=${VERSION:-$(echo samba-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -e $CWD/machine.conf ]; then
. $CWD/machine.conf ]
@@ -83,6 +83,9 @@ rm -rf samba-$VERSION
tar xvf $CWD/samba-$VERSION.tar.?z || exit 1
cd samba-$VERSION || exit 1
+# Add time.h to libsmbclient.h for ffmpeg compatibility:
+zcat $CWD/samba.libsmbclient.h.ffmpeg.compat.diff.gz | patch -p1 --verbose || exit 1
+
if [ ! -d source3/lib/cmdline ]; then
( cd source3/lib
mkdir cmdline
diff --git a/source/n/samba/samba.libsmbclient.h.ffmpeg.compat.diff b/source/n/samba/samba.libsmbclient.h.ffmpeg.compat.diff
new file mode 100644
index 000000000..11a4411f8
--- /dev/null
+++ b/source/n/samba/samba.libsmbclient.h.ffmpeg.compat.diff
@@ -0,0 +1,10 @@
+--- ./source3/include/libsmbclient.h.orig 2018-07-12 03:23:36.000000000 -0500
++++ ./source3/include/libsmbclient.h 2019-02-06 14:36:16.499779599 -0600
+@@ -79,6 +79,7 @@
+ #include <stdint.h>
+ #include <fcntl.h>
+ #include <utime.h>
++#include <time.h>
+
+ #define SMBC_BASE_FD 10000 /* smallest file descriptor returned */
+